using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace C4IT_IAM_Engine
{
    public class ResultToken
    {
        public string resultMessage;
        public int resultErrorId;
        public string resultFunction;
        public List<string> createdGroups = new List<string>();
        public List<string> reusedGroups = new List<string>();
        public List<string> addedAclEntries = new List<string>();
        public List<string> skippedAclEntries = new List<string>();
        public List<string> ensuredTraverseGroups = new List<string>();
        public List<string> warnings = new List<string>();
        public ResultToken(string function)
        {
            this.resultFunction = function;
        }

    }
}
